Bug 211751 - Rename possible to "Folder./." which renders it unrenameable
Summary: Rename possible to "Folder./." which renders it unrenameable
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 08:53 UTC by Damian Ivanov
Modified: 2011-06-01 00:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Damian Ivanov 2009-10-25 08:53:28 UTC
Version:            (using KDE 4.3.1)
OS:                Linux
Installed from:    Ubuntu Packages

Possible to rename a folder to "Folder./." which shows up as "Folder." but not possible to rename it to anything else again.

Workaround: 
Restart dolphin
Change some settings and apply so dolphin reloads
Comment 1 Damian Ivanov 2009-11-28 08:39:57 UTC
Bug NOT exists in Debian Sid with KDE 4.3.2 (dolphin 1.3 )
Shows in Sid properly as .⁄.
Comment 2 Damian Ivanov 2009-12-19 20:32:53 UTC
>Bug NOT exists in Debian Sid with KDE 4.3.2 (dolphin 1.3 )
>Shows in Sid properly as .⁄.
I think I was wrong as I said that the bug does not exist in Sid.
http://www.2shared.com/file/10098406/bb9ec59c/out.html
The problem recorded with recordmydesktop, so you may can easier 
reproduce it.
Comment 3 Damian Ivanov 2009-12-19 20:33:56 UTC
forgot to say that it not only affects dolphin, konqueror also
Comment 4 georg 2010-03-05 02:12:39 UTC
I tried to reproduce it in 4.4.1. If I rename a folder with dolphin to "./."  it moves contents of this folder into the root folder of "./.". It is still possible to create a folder "./.". 
I propose to use bash as expected behavior:
georg@QUAD:~/tmp/test$ ls
blub
georg@QUAD:~/tmp/test$ mv blub/ ./.
mv: „blub/“ und „././blub“ sind die gleiche Datei          #files are the same
georg@QUAD:~/tmp/test$ mkdir ./.
mkdir: kann Verzeichnis „./.“ nicht anlegen: File exists
georg@QUAD:~/tmp/test$
Comment 5 Matthias Fuchs 2011-05-28 01:32:33 UTC
Git commit 79ccd0202d106a9c16b79a20cd79831a60dc5393 by Matthias Fuchs.
Committed on 28/05/2011 at 00:15.
Pushed by mfuchs into branch 'master'.

Disallow renaming to names containing '/', names being equal to "." or "..".
BUG:211751
REVIEW:101454

M  +1    -1    dolphin/src/views/renamedialog.cpp     

http://commits.kde.org/kde-baseapps/79ccd0202d106a9c16b79a20cd79831a60dc5393
Comment 6 Matthias Fuchs 2011-05-28 01:33:40 UTC
Git commit 8dbc4b0752dc12121c37000c764a7e025daae4b7 by Matthias Fuchs.
Committed on 28/05/2011 at 00:15.
Pushed by mfuchs into branch 'KDE/4.6'.

Backport: Disallow renaming to names containing '/', names being equal to "." or "..".
CCBUG:211751
REVIEW:101454
(cherry picked from commit 79ccd0202d106a9c16b79a20cd79831a60dc5393)

M  +1    -1    dolphin/src/views/renamedialog.cpp     

http://commits.kde.org/kde-baseapps/8dbc4b0752dc12121c37000c764a7e025daae4b7
Comment 7 Matthias Fuchs 2011-05-31 23:46:01 UTC
Git commit d034afc892e21a0b8fd9147f1914d6b356413e10 by Matthias Fuchs.
Committed on 31/05/2011 at 23:42.
Pushed by mfuchs into branch 'master'.

Improves 79ccd0202d106a9c16b79a20cd79831a60dc5393 by allowing "/" in file names.

Though here "/" is not the ascii char '/' but the "unicode fraction slash" one, thus it is not taken as directory command.
CCBUG:211751
REVIEW:101454

M  +3    -3    dolphin/src/views/renamedialog.cpp     

http://commits.kde.org/kde-baseapps/d034afc892e21a0b8fd9147f1914d6b356413e10
Comment 8 Matthias Fuchs 2011-05-31 23:52:37 UTC
Git commit 680b8f918900b2b8b99fe5046806ca1b032867e3 by Matthias Fuchs.
Committed on 31/05/2011 at 23:50.
Pushed by mfuchs into branch 'KDE/4.6'.

Improves 8dbc4b0752dc12121c37000c764a7e025daae4b7 by allowing "/" in file names.

Though here "/" is not the ascii char '/' but the "unicode fraction slash" one, thus it is not taken as directory command.
CCBUG:211751
REVIEW:101454

M  +2    -2    dolphin/src/views/renamedialog.cpp     

http://commits.kde.org/kde-baseapps/680b8f918900b2b8b99fe5046806ca1b032867e3
Comment 9 Matthias Fuchs 2011-06-01 00:00:08 UTC
Git commit def6e86db16246e12660d6ba66f607a9ea6d9a58 by Matthias Fuchs.
Committed on 28/05/2011 at 01:17.
Pushed by mfuchs into branch 'master'.

Disallows names of files containing '/' or being equal to "." or "..".
CCBUG:211751
REVIEW:101456

M  +2    -2    kio/kio/kdirmodel.cpp     
M  +4    -2    kio/kio/kfileitemdelegate.cpp     

http://commits.kde.org/kdelibs/def6e86db16246e12660d6ba66f607a9ea6d9a58
Comment 10 Matthias Fuchs 2011-06-01 00:01:18 UTC
Git commit 465ec0c76958657cdb75616f87d4e160f8615bcb by Matthias Fuchs.
Committed on 28/05/2011 at 01:17.
Pushed by mfuchs into branch 'KDE/4.6'.

Disallows names of files containing '/' or being equal to "." or "..".
CCBUG:211751
REVIEW:101456
(cherry picked from commit def6e86db16246e12660d6ba66f607a9ea6d9a58)

M  +2    -2    kio/kio/kdirmodel.cpp     
M  +4    -2    kio/kio/kfileitemdelegate.cpp     

http://commits.kde.org/kdelibs/465ec0c76958657cdb75616f87d4e160f8615bcb